﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.8
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Public JsonList As List
	Public JsonGenerator As JSONGenerator
End Sub


Sub GetPersons As ResumableSub
	Dim JsonRow As Map = CreateMap( "Action":"GetAllPersons" )
	JsonList.Initialize
	
	JsonList.Add( JsonRow )
	JsonGenerator.Initialize2( JsonList )
	Dim JSONstring As String = JsonGenerator.ToString
	
	Dim PersonList As List
	PersonList.Initialize
	
	Dim j As HttpJob ' requires jOkHttpUtils2 library
	j.Initialize( "", Me )
	j.PostString( Main.Servername & Main.ScriptPath, JSONstring )
	Wait For( j ) JobDone( j As HttpJob )
	If j.Success Then
		Dim ReturnString As String = j.GetString
		If ReturnString.StartsWith ( "[" ) Then
			Dim JsonParser As JSONParser
			JsonParser.Initialize( ReturnString )
			PersonList = JsonParser.NextArray
			
		End If
	Else
		Log( "Error: " & j.ErrorMessage )
		PersonList.Add( "-1 " & j.ErrorMessage )
		Log( "Cannot get data from database" )
	End If
	j.Release
	Return PersonList
End Sub ' GetPersons